import React from "react";
declare enum Phase {
    BackingUp = "backing_up",
    Done = "done"
}
interface IProps {
    onFinished(done?: boolean): void;
}
interface IState {
    phase: Phase;
    passPhrase: string;
    passPhraseValid: boolean;
    passPhraseConfirm: string;
    copied: boolean;
    downloaded: boolean;
    error?: boolean;
}
/**
 * Walks the user through the process of setting up e2e key backups to a new backup, and storing the decryption key in
 * SSSS.
 *
 * Uses {@link accessSecretStorage}, which means that if 4S is not already configured, it will be bootstrapped (which
 * involves displaying an {@link CreateSecretStorageDialog} so the user can enter a passphrase and/or download the 4S
 * key).
 */
export default class CreateKeyBackupDialog extends React.PureComponent<IProps, IState> {
    constructor(props: IProps);
    componentDidMount(): void;
    private createBackup;
    private onCancel;
    private onDone;
    private renderBusyPhase;
    private renderPhaseDone;
    private titleForPhase;
    render(): React.ReactNode;
}
export {};
